## kaccounts-integration 23.08.0

=== debian/changelog ===
kaccounts-integration (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:43 +0100

kaccounts-integration (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:44 +0100

kaccounts-integration (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:58 +0100

kaccounts-integration (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add qcoro-qt5-dev to Build-Depends
  * Update installed files
  * Update symbols
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:13 +0100

kaccounts-integration (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:48 +0000

kaccounts-integration (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:32 -0600

kaccounts-integration (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:52 +0000

kaccounts-integration (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 12:12:41 +0000

kaccounts-integration (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:43 +0000

kaccounts-integration (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:07 +0000

kaccounts-integration (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:58 +0000

kaccounts-integration (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:45 +0000

## kaccounts-integration 23.08.1

=== debian/changelog ===
kaccounts-integration (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:51 +0100

## kaccounts-integration 23.08.4

=== debian/changelog ===
kaccounts-integration (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:07 +0000

kaccounts-integration (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:21 +0000

kaccounts-integration (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:42 +0100

## kaccounts-integration 23.08.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "5")
set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

set(QT_REQUIRED_VERSION "5.15.2")
set(KF_MIN_VERSION "5.97.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(CMakePackageConfigHelpers)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMQmlModule)
include(ECMDeprecationSettings)

set(KACCOUNTS_SOVERSION "2")
set(ACCOUNTSQT_DEP_VERSION "1.16")
set(SIGNONQT_DEP_VERSION "8.55")
set(ACCOUNTSGLIB_DEP_VERSION "1.21")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative Wallet KIO Package)

find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)
set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
   URL "https://gitlab.com/accounts-sso/libaccounts-qt"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(SignOnQt${QT_MAJOR_VERSION} ${SIGNONQT_DEP_VERSION} CONFIG)
set_package_properties(SignOnQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "D-Bus service which performs user authentication on behalf of its clients"
   URL "https://gitlab.com/accounts-sso/signond"
   TYPE REQUIRED
   PURPOSE "Required for building this module")

find_package(QCoro${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core)

qcoro_enable_coroutines()

add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\")

ecm_set_disabled_deprecation_versions(QT 5.13.0
     KF 5.101.0
    )


add_subdirectory(src)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/declarative/CMakeLists.txt ===
ecm_add_qml_module(kaccountsdeclarativeplugin URI "org.kde.kaccounts" VERSION 1.2)

target_sources(kaccountsdeclarativeplugin PRIVATE kaccountsdeclarativeplugin.cpp kaccountsdeclarativeplugin.h)

target_link_libraries(kaccountsdeclarativeplugin Qt::Qml
                                                 KF${QT_MAJOR_VERSION}::I18n
                                                 kaccounts
                                                 )

ecm_finalize_qml_module(kaccountsdeclarativeplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kaccounts-integration (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:40:23 +0200

kaccounts-integration (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:40:55 +0000

kaccounts-integration (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:40:19 +0000

kaccounts-integration (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:33:44 -0700

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.97.0~),
               gettext,
               libaccounts-glib-dev (>= 1.21~),
               libaccounts-qt5-dev (>= 1.13~),
               libkf5config-dev (>= 5.4.0~),
               libkf5coreaddons-dev (>= 5.97.0~),
               libkf5dbusaddons-dev (>= 5.97.0~),
               libkf5declarative-dev (>= 5.97.0~),
               libkf5i18n-dev (>= 5.97.0~),
               libkf5iconthemes-dev (>= 5.4.0~),
               libkf5kcmutils-dev (>= 5.97.0~),
               libkf5kio-dev (>= 5.97.0~),
               libkf5wallet-dev (>= 5.97.0~),
               libkf5widgetsaddons-dev (>= 5.4.0~),
               libsignon-qt5-dev (>= 8.55~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qcoro-qt5-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: qml-module-org-kde-kaccounts (= ${binary:Version}),
         qml-module-org-kde-kcm,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-x11,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers
Breaks: kde-config-telepathy-accounts (<< 17.08),
        libktpcommoninternals9 (<< 17.08),
Description: System to administer web accounts
 Small system to administer web accounts for the sites and services
 across the Plasma desktop, including: Google, Facebook, Owncloud, IMAP,
 Jabber and others.

Package: libkaccounts-dev
Section: libdevel
Architecture: any
Depends: intltool,
         libaccounts-glib-dev,
         libaccounts-qt5-dev (>= 1.13~),
         libkaccounts2 (= ${binary:Version}),
         libkf5coreaddons-dev (>= 5.97.0~),
         libsignon-qt5-dev (>= 8.55~),
         pkg-config,
         ${misc:Depends},
Description: System to administer web accounts - development files
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains development files.

Package: libkaccounts2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kaccounts-providers
Breaks: kaccounts-providers (<< 4:17.08),
        kde-config-telepathy-accounts (<< 17.08),
        kde-telepathy-auth-handler (<< 17.08),
        kde-telepathy-kaccounts (<< 17.08),
Description: System to administer web accounts - shared library
 Small system to administer web accounts for the sites and services across the
 Plasma desktop, including: Google, Facebook, Owncloud, IMAP, Jabber and others.
 .
 This package contains the shared library.

Package: qml-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KAccounts QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KAccounts components written
 in QML.

## kaccounts-integration 24.08.2

=== debian/changelog ===
kaccounts-integration (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 04 Nov 2024 14:51:46 -0600

kaccounts-integration (4:24.08.2-1) experimental; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Update dev package dependencies.

  [ Simon Quigley ]
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 04 Nov 2024 14:43:07 -0600

kaccounts-integration (4:24.08.0-1ubuntu2) plucky; urgency=medium

  * Remove extra path in install file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 04 Nov 2024 14:33:40 -0600

kaccounts-integration (4:24.08.0-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Kubuntuify package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 30 Oct 2024 15:16:37 -0500

kaccounts-integration (4:24.08.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 24 Aug 2024 12:52:48 +0200

kaccounts-integration (4:24.02.2-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Tighten dependencies against the Qt6 builds of the SignOn stack.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 May 2024 00:30:15 +0200

kaccounts-integration (4:24.02.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.02.2).
  * Build against Qt6:
    - switch from libkaccounts-dev to libkaccounts6-dev development package
    - switch from libkaccounts2 to libkaccounts6-2 shared library
    - switch from qml-module-org-kde-kaccounts to
      qml6-module-org-kde-kaccounts QML module.
  * Replace manual use of dh addons with dh-sequence-kf6 and
    dh-sequence-pkgkde-symbolshelper declarative build dependencies.
  * Replace transitional pkg-config build dependency with actual pkgconf.
  * Refresh copyright information.
  * Recommend systemsettings.
  * Improve package descriptions.
  * Drop old Breaks relations.
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 21 May 2024 23:20:18 +0200

=== debian/control ===
Source: kaccounts-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 5.240.0~),
               gettext,
               libaccounts-qt6-dev (>= 1.16~),
               libkf6config-dev (>= 5.240.0~),
               libkf6coreaddons-dev (>= 5.240.0~),
               libkf6dbusaddons-dev (>= 5.240.0~),
               libkf6i18n-dev (>= 5.240.0~),
               libkf6kcmutils-dev (>= 5.240.0~),
               libkf6kio-dev (>= 5.240.0~),
               libkf6wallet-dev (>= 5.240.0~),
               libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
               pkgconf,
               pkg-kde-tools,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration

Package: kaccounts-integration
Architecture: any
Depends: qml6-module-org-kde-kaccounts (= ${binary:Version}),
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         signon-kwallet-extension,
         signon-plugin-oauth2,
         signon-plugin-password,
         signon-ui-qt,
         signond,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kaccounts-providers, systemsettings
Description: integration for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.

Package: libkaccounts6-dev
Section: libdevel
Architecture: any
Depends: libkaccounts6-2 (= ${binary:Version}),
         intltool,
         libaccounts-qt6-dev (>= 1.16~),
         libkf6coreaddons-dev (>= 5.240.0~),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.
 .
 This package contains development files.

Package: libkaccounts6-2
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: kaccounts-providers,
Description: integration library for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.

Package: qml6-module-org-kde-kaccounts
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: QML module for Accounts-SSO and SignOn-SSO
 KAccounts Integration provides a way to share accounts data such as login
 tokens and general user information (like usernames and such) between various
 applications.
 .
 The KAccounts library is a KDE Frameworks style abstraction layer on top of
 the Accounts-SSO and SignOnD libraries, which uses a combination of models and
 jobs to expose the functionality of those.
 .
 The kaccounts QML plugin exposes that functionality directly to Qt Quick based
 applications.

## kaccounts-integration 24.12.0

=== debian/changelog ===
kaccounts-integration (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 19:16:11 +0100

kaccounts-integration (4:24.08.2-5) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dependency from libkaccounts6-dev to libsignon-qt6-dev
    because KAccounts6 cmake module requires SignOnQt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 Dec 2024 22:57:58 +0100

kaccounts-integration (4:24.08.2-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Require Qt6 builds of runtime dependencies.
  * Demote signon-ui runtime dependencies to recommends, the systemsettings
    integration part works without it.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 27 Nov 2024 17:58:39 +0100

kaccounts-integration (4:24.08.2-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 24 Nov 2024 00:56:27 +0100

kaccounts-integration (4:24.08.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Let kaccounts-integration depend on signon-ui-service as the latter
    is needed to add certain types of accounts.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Enable dh_qmldeps for kaccounts-integration.

 -- Sandro Knauß <hefee@debian.org>  Tue, 12 Nov 2024 17:22:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kaccounts-integration
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Diane Trout <diane@ghic.org>,
            Norbert Preining <norbert@preining.info>,
@@ -10,6 +9,7 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
@@ -21,33 +21,32 @@
                libkf6kio-dev (>= 5.240.0~),
                libkf6wallet-dev (>= 5.240.0~),
                libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
                qcoro-qt6-dev,
+               qml6-module-org-kde-kirigami,
+               qml6-module-org-kde-kcmutils,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-integration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration.git
 
 Package: kaccounts-integration
 Architecture: any
-Depends: qml6-module-org-kde-kaccounts (= ${binary:Version}),
-         qml6-module-org-kde-kcmutils,
-         qml6-module-org-kde-kirigami,
-         qml6-module-qtquick,
-         qml6-module-qtquick-controls,
-         qml6-module-qtquick-layouts,
-         signon-kwallet-extension,
-         signon-plugin-oauth2,
-         signon-plugin-password,
-         signon-ui-qt,
-         signond,
+Depends: signon-kwallet-extension (>= 4:24.02.2~),
+         signon-plugin-oauth2 (>= 0.25+git~),
+         signon-plugin-password (>= 8.61+git~),
+         signond (>= 8.61+git~),
          ${misc:Depends},
+         ${qml6:Depends},
          ${shlibs:Depends},
-Recommends: kaccounts-providers, systemsettings
+Recommends: kaccounts-providers,
+            signon-ui-qt,
+            signon-ui-service,
+            systemsettings,
 Description: integration for Accounts-SSO and SignOn-SSO
  KAccounts Integration provides a way to share accounts data such as login
  tokens and general user information (like usernames and such) between various
@@ -56,11 +55,13 @@
 Package: libkaccounts6-dev
 Section: libdevel
 Architecture: any
-Depends: libkaccounts6-2 (= ${binary:Version}),
-         intltool,
+Depends: intltool,
          libaccounts-qt6-dev (>= 1.16~),
+         libkaccounts6-2 (= ${binary:Version}),
          libkf6coreaddons-dev (>= 5.240.0~),
+         qml6-module-org-kde-kaccounts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
+         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
          ${misc:Depends},
 Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
  KAccounts Integration provides a way to share accounts data such as login
@@ -94,7 +95,7 @@
 Package: qml6-module-org-kde-kaccounts
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for Accounts-SSO and SignOn-SSO
  KAccounts Integration provides a way to share accounts data such as login
  tokens and general user information (like usernames and such) between various

## kaccounts-integration 24.12.1

=== debian/changelog ===
kaccounts-integration (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:11:50 +0000

kaccounts-integration (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:04:36 +0000

kaccounts-integration (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * Restore depends on signon-ui-qt for amd64 arm64 armhf.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Dec 2024 14:49:58 +0000

kaccounts-integration (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:03:07 +0000

kaccounts-integration (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 18:13:15 +0000

kaccounts-integration (4:24.08.3-0ubuntu4) plucky; urgency=medium

  * Cannot depend on signon-ui-qt for now.

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 12:06:06 +0000

kaccounts-integration (4:24.08.3-0ubuntu3) plucky; urgency=medium

  * Install qlogging-categories file.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:34:31 +0000

kaccounts-integration (4:24.08.3-0ubuntu2) plucky; urgency=medium

  * Rebase againt previous uploads.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 12:10:57 +0000

kaccounts-integration (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:29 +0000

## kaccounts-integration 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,29 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})
 
-set(QT_REQUIRED_VERSION "5.15.2")
-set(KF_MIN_VERSION "5.97.0")
+set(QT_REQUIRED_VERSION "6.5.0")
+set(KF_MIN_VERSION "6.1.0")
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
+# make KDE CI pass the right flag when building for Qt5
+if($ENV{CI_JOB_NAME} MATCHES ".*qt515")
+   set(KF6_COMPAT_BUILD ON)
+endif()
+
+option(KF6_COMPAT_BUILD "Enable this to get a build to support KF5 applications" OFF)
+
+if(KF6_COMPAT_BUILD)
+   set(QT_REQUIRED_VERSION "5.15.2")
+   set(KF_MIN_VERSION "5.97.0")
+   set(QT_MAJOR_VERSION "5")
+endif()
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -29,14 +42,15 @@
 include(FeatureSummary)
 include(ECMQmlModule)
 include(ECMDeprecationSettings)
+include(ECMQtDeclareLoggingCategory)
 
 set(KACCOUNTS_SOVERSION "2")
 set(ACCOUNTSQT_DEP_VERSION "1.16")
 set(SIGNONQT_DEP_VERSION "8.55")
 set(ACCOUNTSGLIB_DEP_VERSION "1.21")
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets)
-find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Declarative Wallet KIO Package)
+find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Qml)
+find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED KCMUtils I18n CoreAddons DBusAddons Wallet KIO)
 
 find_package(AccountsQt${QT_MAJOR_VERSION} ${ACCOUNTSQT_DEP_VERSION} CONFIG)
 set_package_properties(AccountsQt${QT_MAJOR_VERSION} PROPERTIES DESCRIPTION "Accounts management library for Qt applications"
@@ -54,20 +68,27 @@
 
 qcoro_enable_coroutines()
 
-add_definitions (-DTRANSLATION_DOMAIN=\"kaccounts-integration\")
+add_definitions(-DTRANSLATION_DOMAIN=\"kaccounts-integration\")
 
 ecm_set_disabled_deprecation_versions(QT 5.13.0
      KF 5.101.0
-    )
-
+)
 
 add_subdirectory(src)
 
-ki18n_install(po)
+if(NOT KF6_COMPAT_BUILD)
+   ki18n_install(po)
+endif()
+
+ecm_qt_install_logging_categories(
+    EXPORT KAccounts
+    FILE kaccounts.categories
+    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+)
 
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
-feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
+feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kaccounts-integration (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:36:40 +0000

kaccounts-integration (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 09:57:38 +0000

## kaccounts-integration 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== src/plugins/kio-webdav/CMakeLists.txt ===
set(kio-webdav_SRCS
    kioservices.cpp
    kioservices.h
)

kcoreaddons_add_plugin(kaccounts_kio_webdav_plugin
    SOURCES ${kio-webdav_SRCS}
    INSTALL_NAMESPACE "kaccounts/daemonplugins"
    )

target_link_libraries(kaccounts_kio_webdav_plugin
    Qt::Core
    Qt::Widgets
    KF${QT_MAJOR_VERSION}::CoreAddons
    KF${QT_MAJOR_VERSION}::ConfigCore
    KF${QT_MAJOR_VERSION}::Wallet
    KF${QT_MAJOR_VERSION}::KIOCore
    KF${QT_MAJOR_VERSION}::I18n
    KF${QT_MAJOR_VERSION}::DBusAddons
    kaccounts
    ${ACCOUNTSQT_LIBRARIES}
    ${SIGNONQT_LIBRARIES}
    QCoro::Core
)

ecm_qt_declare_logging_category(kaccounts_kio_webdav_plugin HEADER debug.h IDENTIFIER KACCOUNTS_DAV_LOG CATEGORY_NAME org.kde.kaccounts.dav
    DESCRIPTION "KAccounts DAV Plugin"
    EXPORT KAccounts
)

=== debian/changelog ===
kaccounts-integration (4:25.04.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - drop +dfsg from Qt 6 modules
    - bump KF6 libraries to 6.1.0
    - drop unused: libkf5coreaddons-dev, libkf5dbusaddons-dev, libkf5i18n-dev,
      libkf5kcmutils-dev, libkf5kio-dev, libkf5wallet-dev, qcoro-qt5-dev,
      qtbase5-dev, and qtdeclarative5-dev
  * Remove inactive Uploaders.

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2025 08:15:06 +0200

kaccounts-integration (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 18:56:05 +0200

kaccounts-integration (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:42:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,34 +3,31 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Diane Trout <diane@ghic.org>,
-           Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               extra-cmake-modules (>= 5.240.0~),
+               cmake (>= 3.16~),
+               extra-cmake-modules (>= 6.1.0~),
                gettext,
                libaccounts-qt6-dev (>= 1.16~),
-               libkf6config-dev (>= 5.240.0~),
-               libkf6coreaddons-dev (>= 5.240.0~),
-               libkf6dbusaddons-dev (>= 5.240.0~),
-               libkf6i18n-dev (>= 5.240.0~),
-               libkf6kcmutils-dev (>= 5.240.0~),
-               libkf6kio-dev (>= 5.240.0~),
-               libkf6wallet-dev (>= 5.240.0~),
+               libkf6config-dev (>= 6.1.0~),
+               libkf6coreaddons-dev (>= 6.1.0~),
+               libkf6dbusaddons-dev (>= 6.1.0~),
+               libkf6i18n-dev (>= 6.1.0~),
+               libkf6kcmutils-dev (>= 6.1.0~),
+               libkf6kio-dev (>= 6.1.0~),
+               libkf6wallet-dev (>= 6.1.0~),
                libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
                pkg-kde-tools,
                pkgconf,
                qcoro-qt6-dev,
+               qml6-module-org-kde-kcmutils,
                qml6-module-org-kde-kirigami,
-               qml6-module-org-kde-kcmutils,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-integration
+               qt6-base-dev (>= 6.5.0~),
+               qt6-declarative-dev (>= 6.5.0~),
+Standards-Version: 4.7.2
+Homepage: https://invent.kde.org/network/kaccounts-integration
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-integration.git
 
@@ -58,10 +55,10 @@
 Depends: intltool,
          libaccounts-qt6-dev (>= 1.16~),
          libkaccounts6-2 (= ${binary:Version}),
-         libkf6coreaddons-dev (>= 5.240.0~),
+         libkf6coreaddons-dev (>= 6.1.0~),
+         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
          qml6-module-org-kde-kaccounts (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
-         libsignon-qt6-dev (>= 8.61+git20231015.c8ad982~),
          ${misc:Depends},
 Description: integration library and QML module for Accounts-SSO and SignOn-SSO - development files
  KAccounts Integration provides a way to share accounts data such as login

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

%:
	dh $@

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kaccounts-integration 25.04.3

=== debian/changelog ===
kaccounts-integration (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 02 Sep 2025 15:02:12 +0200

## kaccounts-integration 25.07.90

=== debian/changelog ===
kaccounts-integration (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:29:28 +0100

kaccounts-integration (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:40:15 +0100

kaccounts-integration (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:14 +0100

kaccounts-integration (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:38:53 +0100

kaccounts-integration (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:44 +0100

kaccounts-integration (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:42:59 +0100

## kaccounts-integration 25.08.0

=== debian/changelog ===
kaccounts-integration (4:25.08.0-0zneon+24.04+noble+release+build21) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 17:52:28 +0000

kaccounts-integration (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:05:51 +0000

kaccounts-integration (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:42:32 +0000

kaccounts-integration (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:57:20 +0000

kaccounts-integration (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:47:48 +0000

kaccounts-integration (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:35:26 +0000

kaccounts-integration (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:04:53 +0000

kaccounts-integration (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:03:39 +0000

kaccounts-integration (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:54:29 +0000

kaccounts-integration (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:51:44 +0000

kaccounts-integration (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:51:59 +0000

kaccounts-integration (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:29:37 +0000

kaccounts-integration (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:04:30 +0000

kaccounts-integration (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:13:11 +0000

kaccounts-integration (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:50:30 +0000

kaccounts-integration (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:15:52 +0000

kaccounts-integration (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:57:39 +0000

kaccounts-integration (4:23.08.4.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:38:32 +0000

kaccounts-integration (4:23.04.2-0neon) jammy; urgency=medium

  * Initial package

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 22:12:39 +0000

## kaccounts-integration 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(KAccounts LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== src/lib/CMakeLists.txt ===
if(QT_MAJOR_VERSION STREQUAL "5")
  set(KACCOUNTS_SUFFIX "")
else()
  set(KACCOUNTS_SUFFIX "6")
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KAccounts${KACCOUNTS_SUFFIX}")

ecm_setup_version(${KACCOUNTS_VERSION}
  VARIABLE_PREFIX KACCOUNTS
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KAccounts${KACCOUNTS_SUFFIX}ConfigVersion.cmake"
  SOVERSION ${KACCOUNTS_SOVERSION})

set (kaccountslib_SRCS
     accountsmodel.cpp
     core.cpp
     kaccountsdplugin.cpp
     kaccountsuiplugin.cpp
     providersmodel.cpp
     servicesmodel.cpp
     uipluginsmanager.cpp

     accountservicetogglejob.cpp
     changeaccountdisplaynamejob.cpp
     createaccountjob.cpp
     getcredentialsjob.cpp
     removeaccountjob.cpp

     accountsmodel.h
     core.h
     kaccountsdplugin.h
     kaccountsuiplugin.h
     providersmodel.h
     servicesmodel.h
     uipluginsmanager.h

     accountservicetogglejob.h
     changeaccountdisplaynamejob.h
     createaccountjob.h
     getcredentialsjob.h
     removeaccountjob.h
)

# For the Qt5 build keep the old header layout for compatibility
if(QT_MAJOR_VERSION STREQUAL "5")
  ecm_generate_headers(kaccountslib_HEADERS
    HEADER_NAMES
    AccountsModel
    Core
    KAccountsUiPlugin
    KAccountsDPlugin
    ProvidersModel
    ServicesModel

    AccountServiceToggleJob
    ChangeAccountDisplayNameJob
    CreateAccountJob
    GetCredentialsJob
    RemoveAccountJob
    REQUIRED_HEADERS kaccountslib_HEADERS
  )
else()
  ecm_generate_headers(kaccountslib_CamelCase_HEADERS
    HEADER_NAMES
    AccountsModel
    Core
    KAccountsUiPlugin
    KAccountsDPlugin
    ProvidersModel
    ServicesModel

    AccountServiceToggleJob
    ChangeAccountDisplayNameJob
    CreateAccountJob
    GetCredentialsJob
    RemoveAccountJob
    PREFIX KAccounts
    REQUIRED_HEADERS kaccountslib_HEADERS
  )
endif()

add_library(kaccounts ${kaccountslib_SRCS})

target_compile_definitions(kaccounts
    PRIVATE
    ACCOUNTSQT5_VERSION_MAJOR=${AccountsQt5_VERSION_MAJOR}
    ACCOUNTSQT5_VERSION_MINOR=${AccountsQt5_VERSION_MINOR}
)

generate_export_header(kaccounts BASE_NAME kaccounts)
target_link_libraries (kaccounts
    PUBLIC
        KF${QT_MAJOR_VERSION}::CoreAddons
        KF${QT_MAJOR_VERSION}::I18n
        ${ACCOUNTSQT_LIBRARIES}
        Qt::Xml
        Qt::Gui
    PRIVATE
        ${SIGNONQT_LIBRARIES}
)

target_include_directories(kaccounts
    INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KAccounts${KACCOUNTS_SUFFIX}>"
)

target_include_directories(kaccounts SYSTEM
    PUBLIC "${ACCOUNTSQT_INCLUDE_DIRS}"
    PRIVATE "${SIGNONQT_INCLUDE_DIRS}"
)
set_target_properties(kaccounts PROPERTIES VERSION   ${KACCOUNTS_VERSION}
                                           SOVERSION ${KACCOUNTS_SOVERSION}
                                           EXPORT_NAME KAccounts${KACCOUNTS_SUFFIX}
                                           LIBRARY_OUTPUT_NAME kaccounts${KACCOUNTS_SUFFIX}
)

ecm_qt_declare_logging_category(kaccounts HEADER debug.h IDENTIFIER KACCOUNTS_LIB_LOG CATEGORY_NAME org.kde.kaccounts.lib
    DESCRIPTION "KAccounts Library"
    EXPORT KAccounts
)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KAccountsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccounts${KACCOUNTS_SUFFIX}Config.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "KAccountsMacros.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccounts${KACCOUNTS_SUFFIX}Config.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KAccounts${KACCOUNTS_SUFFIX}ConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(TARGETS kaccounts EXPORT KAccounts${KACCOUNTS_SUFFIX}Targets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(EXPORT KAccounts${KACCOUNTS_SUFFIX}Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KAccounts${KACCOUNTS_SUFFIX}Targets.cmake ) #NAMESPACE KF${QT_MAJOR_VERSION}::

if(QT_MAJOR_VERSION STREQUAL "5")
  install (FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_export.h
        ${kaccountslib_HEADERS}
        ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KAccounts COMPONENT Devel
  )

else()
  install (FILES
          ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_export.h
          ${CMAKE_CURRENT_BINARY_DIR}/kaccounts_version.h
          DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KAccounts${KACCOUNTS_SUFFIX} COMPONENT Devel
  )

  install (FILES
          ${kaccountslib_HEADERS}
          DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KAccounts${KACCOUNTS_SUFFIX}/kaccounts COMPONENT Devel
  )

  install (FILES
          ${kaccountslib_CamelCase_HEADERS}
          DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KAccounts${KACCOUNTS_SUFFIX}/KAccounts COMPONENT Devel
  )
endif()

=== debian/changelog ===
kaccounts-integration (4:25.08.1-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:46:11 +0000

kaccounts-integration (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:30:42 +0000

## kaccounts-integration 25.08.1+p24.04+vstable+git20250920.1038

=== debian/changelog ===
kaccounts-integration (4:25.08.1+p24.04+vstable+git20250920.1038-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 20 Sep 2025 10:38:26 +0000

## kaccounts-integration 25.08.1+p24.04+vstable+git20251001.0557

=== debian/changelog ===
kaccounts-integration (4:25.08.1+p24.04+vstable+git20251001.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 05:57:06 +0000
